
Foreman - Bug #5756

"Resolve" button not working

05/16/2014 10:22 AM - Felix Barbeira

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I try to view the templates used for provision a machine I click on "Resolve". But I guess that this button points to a bad url:

https://foremanserver.com/hosts/managedmachine.com/edit#

 When you click this button, it looks like that the page reloads itself and breaks (see attached screenshot).

This happens after upgrade to foreman 1.5.

History

#1 - 05/16/2014 11:30 AM - Dominic Cleal

- Status changed from New to Need more information

I'm unable to reproduce this - could you paste the new entries in /var/log/foreman/production.log when you press the Resolve button?  Also please

ensure you're on 1.5.0 final and not a release candidate (dpkg -l foreman), as we had some issues with links in RC1/RC2.

#2 - 05/19/2014 06:49 AM - Felix Barbeira

I did a fresh reinstall of the foreman and now it works like a charm, sorry for opening the bug.

#3 - 05/19/2014 07:29 AM - Dominic Cleal

- Status changed from Need more information to Resolved

Ah, a mystery then.  Glad it's sorted anyway!
